Bug 1577864 - libidn2: Enable TR46 by default
Summary: libidn2: Enable TR46 by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libidn2
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora28-switch-to-idna2008 1577899
TreeView+ depends on / blocked
 
Reported: 2018-05-14 10:03 UTC by Florian Weimer
Modified: 2018-06-05 14:43 UTC (History)
2 users (show)

Fixed In Version: libidn2-2.0.5-1.el7 libidn2-2.0.5-1.fc28 libidn2-2.0.5-1.fc27 libidn2-2.0.5-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1577899 (view as bug list)
Environment:
Last Closed: 2018-05-22 17:19:46 UTC


Attachments (Terms of Use)

Description Florian Weimer 2018-05-14 10:03:36 UTC
Upstream recently enabled Unicode TR46 processing by default:

  https://gitlab.com/libidn/libidn2/issues/49

It would be nice to have this in Fedora 28 and later as well because it makes application behavior across the entire distribution more consistent.

Comment 1 Florian Weimer 2018-05-14 12:07:55 UTC
Note that the upstream implementation of libidn2 support in glibc will depend on TR46 support by default.

Comment 2 Robert Scheck 2018-05-14 22:28:30 UTC
Is it fine to wait for libidn2 2.0.5?

Comment 3 Nikos Mavrogiannopoulos 2018-05-18 09:45:28 UTC
It has now been released.

Comment 4 Fedora Update System 2018-05-20 23:23:49 UTC
libidn2-2.0.5-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5c033fdd13

Comment 5 Fedora Update System 2018-05-20 23:24:10 UTC
libidn2-2.0.5-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-90332d17ff

Comment 6 Fedora Update System 2018-05-20 23:24:29 UTC
libidn2-2.0.5-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-21a38db20b

Comment 7 Fedora Update System 2018-05-20 23:24:55 UTC
libidn2-2.0.5-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-e4b968e7e8

Comment 8 Fedora Update System 2018-05-20 23:25:21 UTC
libidn2-2.0.5-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-fddc9bdaec

Comment 9 Fedora Update System 2018-05-21 15:00:43 UTC
libidn2-2.0.5-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-e4b968e7e8

Comment 10 Fedora Update System 2018-05-21 15:08:21 UTC
libidn2-2.0.5-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-fddc9bdaec

Comment 11 Fedora Update System 2018-05-21 15:28:16 UTC
libidn2-2.0.5-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-21a38db20b

Comment 12 Fedora Update System 2018-05-21 16:35:38 UTC
libidn2-2.0.5-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-90332d17ff

Comment 13 Fedora Update System 2018-05-21 17:15:15 UTC
libidn2-2.0.5-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5c033fdd13

Comment 14 Fedora Update System 2018-05-22 17:19:46 UTC
libidn2-2.0.5-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-05-23 15:40:13 UTC
libidn2-2.0.5-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-05-25 15:44:47 UTC
libidn2-2.0.5-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-06-05 14:43:30 UTC
libidn2-2.0.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.